package com.iamberry.wechat.face.flow;

import java.util.List;

import com.iamberry.wechat.core.entity.flow.TemplateFlowInfo;

public interface TemplateFlowInfoService {

	/**
	 * 根据条件查看返利节点表数据
	 * @param templateFlowInfo
	 * @return
	 * @author liuzhiwei
	 */
	public TemplateFlowInfo getTemplateFlowInfo(TemplateFlowInfo templateFlowInfo);
	
	/**
	 * 批量添加返利节点内容
	 * @param templateFlowList
	 * @return
	 * @author liuzhiwei
	 */
	public Integer addTemplateFlowList(List<TemplateFlowInfo> templateFlowList);
	
	/**
	 * 根据模板id查询返利节点内容
	 * @param templateId
	 * @return
	 */
	public List<TemplateFlowInfo> getFlowInfoListByTemplateId(Integer templateId);
	
	/**
	 * 批量修改返利节点内容
	 * @param templateFlowList
	 * @return
	 * @author liuzhiwei
	 */
	public Integer updateTemplateFlowInfo(List<TemplateFlowInfo> templateFlowList);

	/**
	 * 根据模板id，获取已经添加了的产品类型ID
	 * @param tid
	 * @return
	 */
	public List<Integer> getTypeId(Integer tid);
}
